Devuan bug report logs - #375
pulseaudio not started in xfce for regular user

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: Tito <farmatito@tiscali.it>

Date: Tue, 14 Jan 2020 21:18:02 UTC

Severity: grave

Tags: beowulf, patch

Merged with 276, 318, 367, 378, 403, 466, 473

Found in version 12.2-4+deb10u1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#375; Package pulseaudio. (Tue, 14 Jan 2020 21:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tito <farmatito@tiscali.it>:
New bug report received and forwarded. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Tue, 14 Jan 2020 21:18:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Tito <farmatito@tiscali.it>
To: submit@bugs.devuan.org
Subject: pulseaudio not started in xfce for regular user
Date: Tue, 14 Jan 2020 22:09:03 +0100
Package: pulseaudio
Version: 12.2-4+deb10u1

Incorrect behavior: the .desktop file installed in
/etc/xdg/autostart/pulseaudio.desktop does not work correctly
for a regular user and pulseaudio is not started in xfce DE.
The .desktop file does start pulseaudio for the root user.

[Desktop Entry]
Version=1.0
Name=PulseAudio Sound System

omissis

Exec=start-pulseaudio-x11
Terminal=false
Type=Application
Categories=
GenericName=
X-GNOME-Autostart-Phase=Initialization
X-KDE-autostart-phase=1

Partial fix:
changing Exec line to Exec=/usr/bin/pulseaudio --start
works for regular users but not for the  root user.

Calling a wrapper script like:

#!/bin/sh
if [ $(id -u) -eq 0 ] ; then
	start-pulseaudio-x11
else
	pulseaudio --start
fi

maybe could work for all users but i did not test it
and probably there is a more orthodox solution.

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#375; Package pulseaudio. (Wed, 15 Jan 2020 10:18:01 GMT) (full text, mbox, link).


Message #8 received at 375@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 375@bugs.devuan.org
Subject: Re: pulseaudio not started in xfce for regular user
Date: Wed, 15 Jan 2020 10:04:43 +0000
Tito,

Thanks for this. Is this the same issue as #276?

Could you check if the fix detailed in

 https://bugs.devuan.org//cgi/bugreport.cgi?bug=276#10

works for you?

Comment out autospawn=no in /etc/pulse/client.conf.d/00-disable-autospawn.conf

Thanks

Mark

Added tag(s) beowulf. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#375; Package pulseaudio. (Wed, 15 Jan 2020 13:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Tito <farmatito@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Wed, 15 Jan 2020 13:48:06 GMT) (full text, mbox, link).


Message #15 received at 375@bugs.devuan.org (full text, mbox, reply):

From: Tito <farmatito@tiscali.it>
To: 375@bugs.devuan.org
Subject: Re: pulseaudio not started in xfce for regular user
Date: Wed, 15 Jan 2020 14:38:54 +0100
On Wed, 15 Jan 2020 10:04:43 +0000 Mark Hindley <mark@hindley.org.uk> wrote:
> Tito,
> 
> Thanks for this. Is this the same issue as #276?
> 
> Could you check if the fix detailed in
> 
>  https://bugs.devuan.org//cgi/bugreport.cgi?bug=276#10
> 
> works for you?
> 
> Comment out autospawn=no in /etc/pulse/client.conf.d/00-disable-autospawn.conf
> 
> Thanks
> 
> Mark

Yes this fixes it.

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#375; Package pulseaudio. (Wed, 15 Jan 2020 15:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Wed, 15 Jan 2020 15:48:09 GMT) (full text, mbox, link).


Message #20 received at 375@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 375@bugs.devuan.org
Subject: Re: pulseaudio not started in xfce for regular user
Date: Wed, 15 Jan 2020 15:32:46 +0000
control: merge -1 276 

On Wed, 15 Jan 2020 14:38:54 +0100 Tito wrote:
> Yes this fixes it.

Good. Merging.

We will add this to the release notes.

Mark

Merged 276 318 367 375 Request was from Mark Hindley <mark@hindley.org.uk> to 375-submit@bugs.devuan.org. (Wed, 15 Jan 2020 15:48:11 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:03 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:09 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:13 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:17 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 Request was from Mark Hindley <mark@hindley.org.uk> to 466-submit@bugs.devuan.org. (Tue, 19 May 2020 09:03:04 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:06 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed May 27 16:21:37 2020;